# saga::cpr::job Class Reference

The job is a saga::job with additional checkpoint and recovery related methods. More...

`#include <cpr_job.hpp>`

Inheritance diagram for saga::cpr::job:

[legend]

List of all members.

## Public Member Functions
| job ()
| Creates the object.
| job (saga::object const &o)
| Creates the object.
| ~job ()
| Destroys the object.
job & | operator= (saga::object const &o)
| Brief description starts here.
void | checkpoint (saga::url u=saga::url())
| checkpoint a job
void | recover (saga::url u=saga::url())
| recover a job
void | cpr_stage_in (saga::url u=saga::url())
| stage-in a checkpoint file
void | cpr_stage_out (saga::url u=saga::url())
| stage-out a checkpoint file
std::vector< saga::url > | cpr_list (void)
| get list of known checkpoints
saga::url | cpr_last (void)
| get last known checkpoint

## Detailed Description

The job is a saga::job with additional checkpoint and recovery related methods.

## Constructor & Destructor Documentation

saga::cpr::job::job | ( |  | ) |

Creates the object.

Reimplemented from saga::job::job.

saga::cpr::job::job | ( | saga::object const & | o | ) | `[explicit]`

Creates the object.

Reimplemented from saga::job::job.

saga::cpr::job::~job | ( | void |  | ) |

Destroys the object.

Reimplemented from saga::job::job.

## Member Function Documentation

job & saga::cpr::job::operator= | ( | saga::object const & | o | ) |

Brief description starts here.

Reimplemented from saga::job::job.

References saga::job::job::operator=().

void saga::cpr::job::checkpoint | ( | saga::url | u = `saga::url ()` | ) | `[inline]`

checkpoint a job

Returns:
  void

void saga::cpr::job::recover | ( | saga::url | u = `saga::url ()` | ) | `[inline]`

recover a job

Returns:
  void

void saga::cpr::job::cpr_stage_in | ( | saga::url | u = `saga::url ()` | ) | `[inline]`

stage-in a checkpoint file

Returns:
  void

void saga::cpr::job::cpr_stage_out | ( | saga::url | u = `saga::url ()` | ) | `[inline]`

stage-out a checkpoint file

Returns:
  void

std::vector<saga::url> saga::cpr::job::cpr_list | ( | void |  | ) | `[inline]`

get list of known checkpoints

Returns:
  list of known checkpoint URLs

References saga::task::get_result().

saga::url saga::cpr::job::cpr_last | ( | void |  | ) | `[inline]`

get last known checkpoint

Returns:
  last known checkpoint URL

The documentation for this class was generated from the following files:

- cpr_job.hpp
- cpr_job.cpp